%global momorel 4

%global ModuleHP_ver     1.1.1
%global ModuleHP_reldir  13897
%global mpipa_ver    20060520p1
%global mpipa_reldir 25997
%global IPAMona_ver      1.0.3

%global md5sum_src0 6ec329ad0ff2f710739636ed7dbabcf0
%global md5sum_src1 ad0c6c19bc6b52d7f98a9b2c93c5cea7
%global md5sum_src2 9e22ec5d5fb935f0b7016a319ce08c97

%global ipa_fontdir  %{_datadir}/fonts/truetype/japanese
%global ipa_xfontdir %{_datadir}/X11/fonts/truetype-ja-ipa

Name:    opfc-ModuleHP
Version: %{ModuleHP_ver}
Release: %{momorel}m%{?dist}
License: GPL and see "documents"
URL:     http://opfc.sourceforge.jp/
# MPlus-IPA's URL: http://mix-mplus-ipa.sourceforge.jp/
# IPA mona's URL:  http://www.geocities.jp/ipa_mona/
Group:   Applications/Publishing
Summary: OpenPrinting Japan - Hewlett-Packard printer Modules
%NoSource 0 http://dl.sourceforge.jp/opfc/%{ModuleHP_reldir}/%{name}-%{ModuleHP_ver}_withIPAFonts.tar.gz %{md5sum_src0}
%NoSource 1 http://dl.sourceforge.jp/mix-mplus-ipa/%{mpipa_reldir}/mixfont-mplus-ipa-TrueType-%{mpipa_ver}.tar.bz2 %{md5sum_src1}
%NoSource 2 http://www.geocities.jp/ipa_mona/%{name}-%{ModuleHP_ver}_withIPAMonaFonts-%{IPAMona_ver}.tar.gz %{md5sum_src2}
Source3: fonts.alias.ipa
Source4: vfontcap.ipa
BuildRequires: cups-devel, xorg-x11-font-utils
PreReq: chkfontpath-momonga
Provides: truetype-fonts-ja-ipa
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package is the part of "OpenPrinting Japan API Reference Implementation".

Printer driver modules for HewlettPackard printers.Included are:
 HP-ColorLaserJet4600 (Vector printer driver for HP-ColorLaserJet4600)
 HP-ColorLaserJet5500 (Vector printer driver for HP-ColorLaserJet5500)

%prep
%setup -q -n %{name}-%{version}_withIPAFonts -b 1 -b 2

chmod 666 fonts/*.ttf
cp ../mixfont-mplus-ipa-TrueType-%{mpipa_ver}/*.txt fonts/
cp ../mixfont-mplus-ipa-TrueType-%{mpipa_ver}/%{name}-%{version}_withIPAFonts_and_Mplus/fonts/*.ttf fonts/
cp ../%{name}-%{version}_withIPAMonaFonts/fonts/*.ttf fonts/

%build
CFLAGS="%{optflags}" %configure
make

%install
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{ipa_fontdir}
mkdir -p %{buildroot}%{ipa_xfontdir}
mkdir -p %{buildroot}%{_sysconfdir}
pushd fonts
   for ttf in *.ttf ; do
      install -m 644 ${ttf} %{buildroot}%{ipa_fontdir}
      ln -s ../../../../..%{_datadir}/fonts/truetype/japanese/${ttf} %{buildroot}%{ipa_xfontdir}
   done
popd

mkfontdir -e /usr/share/X11/fonts/encodings \
          -e /usr/share/X11/fonts/encodings/large \
          %{buildroot}%{ipa_xfontdir}

mkfontscale %{buildroot}%{ipa_xfontdir}

install -m0644 %{SOURCE3} %{buildroot}%{ipa_xfontdir}/fonts.alias
install -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/vfontcap

mv fonts/README.txt fonts/README.MPlus-IPA.txt

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -qa %{ipa_xfontdir}
  if ! (grep /usr/share/X11/fonts/truetype-ja-ipa /etc/X11/XftConfig >& /dev/null) ; then
    echo dir \"/usr/share/X11/fonts/truetype-ja-ipa\" >> /etc/X11/XftConfig
  fi
fi

%postun
/sbin/ldconfig

# 0 means a real uninstall
if [ "$1" = "0" ]; then
  if [ -x /usr/sbin/chkfontpath ]; then
    /usr/sbin/chkfontpath -qr %{ipa_xfontdir}
    grep -v /usr/share/X11/fonts/truetype-ja-ipa /etc/X11/XftConfig > /etc/X11/XftConfig.new
    mv /etc/X11/XftConfig.new /etc/X11/XftConfig
  fi
fi

%files
%defattr(-, root, root)
%doc ChangeLog COPYING README README.jp
%doc fonts/COPYING.font.ja fonts/*.txt
%{_libdir}/libHPPageColor.so*
%{_libdir}/libHPPageColor.a
%{_datadir}/cups/model/OPVP-HP-Color_LaserJet_4600.ppd
%{_datadir}/cups/model/OPVP-HP-Color_LaserJet_5500.ppd
%{ipa_fontdir}/*.ttf
%dir %{ipa_xfontdir}
%{ipa_xfontdir}/*.ttf
%config(noreplace) %{ipa_xfontdir}/fonts.dir
%config(noreplace) %{ipa_xfontdir}/fonts.scale
%config(noreplace) %{ipa_xfontdir}/fonts.alias
%config(noreplace) %{_sysconfdir}/vfontcap

%changelog
* Tue Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.1-4m)
- update mixfont-mplus-ipa-20060520p1.tar.gz

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.1-3m)
- delete libtool library

* Tue Jun 27 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.1.1-2m)
- now IPAPGothic/Mincho is default font

* Sun Jun  4 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.1.1-1m)
- welcome to Momonga

* Thu Mar 24 2005 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> - 1.1.1
- fixed memory leak [opfc:1155]

* Wed Mar 31 2004 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- repackage for Turbolinux
